/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface CreateFlowLogConfigAttachmentDetails {
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable. Avoid
     * entering confidential information.
     *
     */
    "displayName"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the resource to attach the
     * flow log configuration to. Attaching the configuration enables flow logs for the resource.
     *
     */
    "targetEntityId": string;
    /**
     * The type of resource to attach the flow log configuration to.
     *
     */
    "targetEntityType": CreateFlowLogConfigAttachmentDetails.TargetEntityType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the flow log configuration to attach.
     *
     */
    "flowLogConfigId": string;
}
export declare namespace CreateFlowLogConfigAttachmentDetails {
    enum TargetEntityType {
        SUBNET = "SUBNET"
    }
    function getJsonObj(obj: CreateFlowLogConfigAttachmentDetails): object;
}
