"use strict";
/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const model = __importStar(require("../model"));
var VirtualCircuit;
(function (VirtualCircuit) {
    let BgpManagement;
    (function (BgpManagement) {
        BgpManagement["CUSTOMERMANAGED"] = "CUSTOMER_MANAGED";
        BgpManagement["PROVIDERMANAGED"] = "PROVIDER_MANAGED";
        BgpManagement["ORACLEMANAGED"] = "ORACLE_MANAGED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        BgpManagement["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(BgpManagement = VirtualCircuit.BgpManagement || (VirtualCircuit.BgpManagement = {}));
    let BgpSessionState;
    (function (BgpSessionState) {
        BgpSessionState["UP"] = "UP";
        BgpSessionState["DOWN"] = "DOWN";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        BgpSessionState["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(BgpSessionState = VirtualCircuit.BgpSessionState || (VirtualCircuit.BgpSessionState = {}));
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["PENDINGPROVIDER"] = "PENDING_PROVIDER";
        LifecycleState["VERIFYING"] = "VERIFYING";
        LifecycleState["PROVISIONING"] = "PROVISIONING";
        LifecycleState["PROVISIONED"] = "PROVISIONED";
        LifecycleState["FAILED"] = "FAILED";
        LifecycleState["INACTIVE"] = "INACTIVE";
        LifecycleState["TERMINATING"] = "TERMINATING";
        LifecycleState["TERMINATED"] = "TERMINATED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(LifecycleState = VirtualCircuit.LifecycleState || (VirtualCircuit.LifecycleState = {}));
    let ProviderState;
    (function (ProviderState) {
        ProviderState["ACTIVE"] = "ACTIVE";
        ProviderState["INACTIVE"] = "INACTIVE";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ProviderState["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(ProviderState = VirtualCircuit.ProviderState || (VirtualCircuit.ProviderState = {}));
    let ServiceType;
    (function (ServiceType) {
        ServiceType["COLOCATED"] = "COLOCATED";
        ServiceType["LAYER2"] = "LAYER2";
        ServiceType["LAYER3"] = "LAYER3";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ServiceType["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(ServiceType = VirtualCircuit.ServiceType || (VirtualCircuit.ServiceType = {}));
    let Type;
    (function (Type) {
        Type["PUBLIC"] = "PUBLIC";
        Type["PRIVATE"] = "PRIVATE";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Type["UNKNOWN_VALUE"] = "UNKNOWN_VALUE";
    })(Type = VirtualCircuit.Type || (VirtualCircuit.Type = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "crossConnectMappings": obj.crossConnectMappings
                ? obj.crossConnectMappings.map(item => {
                    return model.CrossConnectMapping.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    VirtualCircuit.getJsonObj = getJsonObj;
})(VirtualCircuit = exports.VirtualCircuit || (exports.VirtualCircuit = {}));
//# sourceMappingURL=virtual-circuit.js.map